import http from '@/api/http';
/**
 * 轮播图-列表
 */
export function operationBannerList(params?: object) {
  return http.get('/operation/banner/list', params);
}

/**
 * 轮播图-编辑状态
 */
export function operationBannerEditStatus(
  id: number | string,
  params?: object
) {
  return http.post(`/operation/banner/editStatus/${id}`, params);
}
/**
 * 轮播图-添加
 */
export function operationBannerAdd(params: object) {
  return http.post(`/operation/banner/add`, params);
}
/**
 * 轮播图-编辑
 */
export function operationBannerEdit(id: number | string, params: object) {
  return http.post(`/operation/banner/edit/${id}`, params);
}
/**
 * 轮播图-删除
 */
export function operationBannerDel(id: number | string, params?: object) {
  return http.post(`/operation/banner/del/${id}`, params);
}
